﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS3000 Set Bandwidth & Number of Channels
INSTRUMENT:            Sub Tek TDS3000 Check Firmware Version
DATE:                  2010-07-28 10:25:49
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       119
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        TDS 3000 Series
#        TDS 3000B Series
#
#  Compatibility:
#        MET/CAL 7.20 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SET_BW_NUM_CHAN              PSUBI("Set Bandwidth")
  1.002  JMPL         CHECK_FIRMWARE_VERSION       PSUBI("Check Firmware")
  1.003  DISP         Subprocedure not found!
  1.004  END

  1.005  EVAL   Increment step number

# ******************** Set Bandwidth & Number of Channels ******************

  2.001  LABEL        SET_BW_NUM_CHAN

  2.002  IF           FIND(@ModelNum, "3012", 1)
  2.003  MATH         @Bandwidth = 100E+6; @NumChan = 2

  2.004  ELSEIF       FIND(@ModelNum, "3014", 1)
  2.005  MATH         @Bandwidth = 100E+6; @NumChan = 4

  2.006  ELSEIF       FIND(@ModelNum, "3032", 1)
  2.007  MATH         @Bandwidth = 300E+6; @NumChan = 2

  2.008  ELSEIF       FIND(@ModelNum, "3034", 1)
  2.009  MATH         @Bandwidth = 300E+6; @NumChan = 4

  2.010  ELSEIF       FIND(@ModelNum, "3052", 1)
  2.011  MATH         @Bandwidth = 500E+6; @NumChan = 2

  2.012  ELSEIF       FIND(@ModelNum, "3054", 1)
  2.013  MATH         @Bandwidth = 500E+6; @NumChan = 4

  2.014  ELSEIF       FIND(@ModelNum, "3024", 1)
  2.015  MATH         @Bandwidth = 200E+6; @NumChan = 4

  2.016  ELSEIF       FIND(@ModelNum, "3044", 1)
  2.017  MATH         @Bandwidth = 400E+6; @NumChan = 4

  2.018  ELSEIF       FIND(@ModelNum, "3064", 1)
  2.019  MATH         @Bandwidth = 600E+6; @NumChan = 4

  2.020  ELSE
  2.021  DISP         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  2.021  DISP
  2.021  DISP         Unsupported model number: [V @ModelNum]
  2.022  ENDIF

  2.023  END

  2.024  EVAL   Increment step number

# ************************** Check Firmware Version ***********************

  3.001  LABEL        CHECK_FIRMWARE_VERSION

  3.002  IF           FIND(@ModelNum, "B", 1)
  3.003  MATH         ReqVer = "3.00"
  3.004  ELSE         # TDS 3000 Series
  3.005  MATH         ReqVer = "2.00"
  3.006  ENDIF

  3.007  MATH         @VerNum = SUB(FLD(@FirmwareRev, 2, " "), 5, 4)
  3.008  MATH         @Abort = (@VerNum < ReqVer)

  3.009  IF           @Abort
  3.010  DISP         This procedure requires firmware version [V ReqVer] or
  3.010  DISP         later.
  3.010  DISP
  3.010  DISP         Go to tektronix.com to obtain updated firmware.
  3.011  ENDIF

  3.012  END
